Subject: [Fot] Looking for a FOT.... (Favour Or Two)

From: Mike Deweerd via Fot <[email-masked]>
Date: Sun, 1 Mar 2015 21:03:38 -0500

Would any FOT members heading for the Kastner Cup this May be willing to bring me some tires......let me explain...

I would like to purchase the Yoko's that tire rack has on sale and take off the snow tires but with the exchange rate being what it is and my Dutch heritage being what it is ...... I was hoping to purchase and ship 4 tires to a member that is heading to the Kastner Cup thus avoiding duty/taxes/shipping costs etc. Any willing mules with room?....I'd be willing to trade Maple syrup, back bacon or cheese.....or a crew pass  :) 
Cheers 
Mike Deweerd
The ONLY Canadian TR4 Racer # 77 

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive